Uses of Interface
net.officefloor.web.route.WebRouteNode
Packages that use WebRouteNode
-
Uses of WebRouteNode in net.officefloor.web.route
Classes in net.officefloor.web.route that implement WebRouteNodeModifier and TypeClassDescriptionclassLeafWebRouteNodethat services theHttpRequest.classWebRouteNodefor a path parameter.classWebRouteNodefor static characters.Methods in net.officefloor.web.route with parameters of type WebRouteNodeModifier and TypeMethodDescriptionstatic WebServicerWebServicer.getBestMatch(HttpMethod method, String path, int index, HttpArgument headPathParameter, ServerHttpConnection connection, ManagedFunctionContext<?, Indexed> context, WebRouteNode[] nodes) Obtains the bestWebServicerfor theWebRouteNodeinstances.Constructors in net.officefloor.web.route with parameters of type WebRouteNodeModifierConstructorDescriptionStaticWebRouteNode(char[] characters, WebRouteNode[] nodes) Instantiate.WebRouter(WebRouteNode[] nodes) Instantiate.